MEMCMP(9) | Kernel Developer's Manual | MEMCMP(9)

# NAME

`memcmp` — compare byte string

# SYNOPSIS

`#include <sys/systm.h>`

int
`memcmp`(const void *b1, const void *b2, size_t len);

# DESCRIPTION

The `memcmp`() function compares byte string b1 against byte string b2. Both strings are assumed to be len bytes long.

# RETURN VALUES

The `memcmp`() function returns zero if the two strings are identical, otherwise returns the difference between the first two differing bytes (treated as unsigned char values, so that ‘`\200`’ is greater than ‘`\0`’, for example). Zero-length strings are always identical.

# STANDARDS

The `memcmp`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

July 7, 2001 | NetBSD 11.0